Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.management.stats.printers
Class SimplePrinter

    java.lang.Object
      java.io.Writer
          java.io.PrintWriter
              org.mule.management.stats.printers.AbstractTablePrinter
                  org.mule.management.stats.printers.SimplePrinter

All Implemented Interfaces:
  Closeable, Flushable, Appendable

    public class SimplePrinter

extends AbstractTablePrinter

`SimplePrinter` Default stats printer

Field Summary

Fields inherited from class java.io.PrintWriter
`out`

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`SimplePrinter(OutputStream out)`
`SimplePrinter(Writer out)`

Method Summary
`void` | `print(Collection stats)`

Methods inherited from class org.mule.management.stats.printers.AbstractTablePrinter
`getColumn, getHeaders, getRouterInfo, getTable, print, print, println, println`

Methods inherited from class java.io.PrintWriter
`append, append, append, checkError, clearError, close, flush, format, format, print, print, print, print, print, print, print, printf, printf, println, println, println, println, println, println, println, println, setError, write, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimplePrinter

    public SimplePrinter(Writer out)

### SimplePrinter

    public SimplePrinter(OutputStream out)

Method Detail

### print

    public void print(Collection stats)

  Overrides:
    `print` in class `AbstractTablePrinter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.